# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/ethernet-connector.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Generic Ethernet Connector

maintainers:
  - Maxime Chevallier <maxime.chevallier@bootlin.com>

description:
  An Ethernet Connector represents the output of a network component such as
  a PHY, an Ethernet controller with no PHY, or an SFP module.

properties:

  pairs:
    description:
      Defines the number of BaseT pairs that are used on the connector.
    $ref: /schemas/types.yaml#/definitions/uint32
    enum: [1, 2, 4]

  media:
    description:
      The mediums, as defined in 802.3, that can be used on the port.
    enum:
      - BaseT
      - BaseK
      - BaseS
      - BaseC
      - BaseL
      - BaseD
      - BaseE
      - BaseF
      - BaseV
      - BaseMLD

required:
  - media

allOf:
  - if:
      properties:
        media:
          const: BaseT
    then:
      required:
        - pairs
    else:
      properties:
        pairs: false

additionalProperties: true

...
